'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = createApp;

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _graphqlServerExpress = require('graphql-server-express');

var _apolloUploadServer = require('apollo-upload-server');

var _vendor = require('./vendor');

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createApp(options) {
  const router = _express2.default.Router();

  router.use((0, _apolloUploadServer.apolloUploadExpress)());
  router.use('/uploads', _express2.default.static(`${options.uploadsDir}/${options.namespace}`));
  router.use('/', options.auth.router);
  router.use('/', options.apis);

  const extraContext = {};
  if (options.namespace !== '') {
    extraContext[`is${(0, _lodash.upperFirst)((0, _lodash.camelCase)(options.namespace))}`] = true;
  }

  router.post('/graphql', options.auth.requireAuth, (req, res, next) => {
    (0, _graphqlServerExpress.graphqlExpress)({
      schema: options.schema,
      context: _extends({ user: req.user, db: options.db }, extraContext, options.context),
      formatError: _vendor.formatError
    })(req, res, next);
  });

  return router;
}