'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = formatError;
function formatError(err) {
  let message = err.message;
  if (err.originalError && err.originalError.name.startsWith('Sequelize')) {
    const err2 = err.originalError;
    message = err2.errors ? err2.errors[0].message : err2.message;
  }
  return {
    message,
    stack: process.env.NODE_ENV === 'production' ? null : err.stack,
    locations: err.locations,
    path: err.path
  };
}