'use strict';

var _http = require('http');

var _http2 = _interopRequireDefault(_http);

var _graphqlSubscriptions = require('graphql-subscriptions');

var _subscriptionsTransportWs = require('subscriptions-transport-ws');

var _models = require('./models');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const PORT = process.env.WS_PORT || 81;

// map subscription name to channel names.
const subscriptionManager = new _graphqlSubscriptions.SubscriptionManager({
  schema: _models.schema,
  pubsub: _models.pubsub,
  setupFunctions: {
    counter: (options, args) => ({
      // options from onSubscribe
      counter: counter => counter % 2 === 0 // filter function
    })
  }
});

const server = _http2.default.createServer((req, res) => {
  res.writeHead(404);
  req.end();
});

new _subscriptionsTransportWs.SubscriptionServer({
  subscriptionManager,
  onSubscribe: (msg, params) => {
    return Object.assign({}, params, { context: {} });
  }
}, { server });

server.listen(PORT, () => {
  console.log(`>> Websocket localhost:${PORT}`);
});