process.env.NODE_ENV !== 'production' && require('babel-register')
require('pdjs')
const bcrypt = require('bcrypt')
const inquirer = require('inquirer')
const { User } = require('models')
const sequelize = require('vendor/sequelize').default

function genPassword(text) {
  return bcrypt.hashSync(text, 10)
}

async function main() {
  const { username, password } = await inquirer.prompt([
    {
      name: 'username',
      message: 'username',
      validate: v => (v ? true : 'required'),
    },
    {
      name: 'password',
      message: 'password',
      type: 'password',
      validate: v => (v ? true : 'required'),
    },
  ])

  await User.upsert({username, password: genPassword(password)})
  sequelize.close()
}

main()
