process.env.NODE_ENV !== 'production' && require('babel-register')
require('pdjs')
const async = require('async')
require('models')
const sequelize = require('vendor/sequelize').default
const { map } = require('lodash')

const FIXTURES = require(`${process.cwd()}/scripts/seeds.prod.js`)

async function main() {
  await sequelize.sync()

  const jobs = map(FIXTURES, (value, key) => {
    return async function() {
      console.log(`>> Load ${key}`)
      await sequelize.models[key].bulkCreate(value)
    }
  })

  async.series(jobs, (err) => {
    if (err) {
      err = err.original ? err.original : err
      console.log(err)
    }
    sequelize.close()
  })
}

main()
